/*
Copyright 1999 by Scriptum, Inc.,
Mlyva utca 34, H-6771 Szeged, Hungary
All rights reserved.

This software is the confidential and proprietary information
of Scriptum, Inc. ("Confidential Information").  You
shall not disclose such Confidential Information and shall use
it only in accordance with the terms of the license agreement
you entered into with Scriptum.
*/

import freemarker.template.*;
import freemarker.ext.servlet.*;
import freemarker.ext.beans.StaticModels;
import javax.servlet.http.*;
import javax.servlet.ServletException;

/**
 *
 * @author Attila Szegedi, Scriptum Inc.
 * @version 1.0
 */

public class ExampleServlet
extends
	FreeMarkerServlet
{
	protected boolean preTemplateProcess(HttpServletRequest request,
            HttpServletResponse response, Template template, TemplateWriteableHashModel root)
            throws ServletException
	{
        try {
            root.put("Static", StaticModels.INSTANCE);
        } catch (TemplateModelException e) {
            throw new ServletException( e.getMessage(), e );
        }
        response.setContentType("text/html");
		return true;
	}
}
